Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in GPL Ghostscript
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in GPL Ghostscript
ID: 201708-06
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Mo, 21. August 2017, 08:22
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7207
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-5951
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-6196
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8291
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-10220
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-10219

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--M0iH7696HhD4RfXinqHI6U0HIX6ful88B
Content-Type: multipart/mixed;
boundary="IhqrJugI0Gikf1eARrmTQNbC8L4dRIsUp";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID: <acd76603-60fd-4e9e-de15-99e7dd47f786@gentoo.org>
Subject: [ GLSA 201708-06 ] GPL Ghostscript: Multiple vulnerabilities

--IhqrJugI0Gikf1eARrmTQNbC8L4dRIsUp
Content-Type: text/plain; charset=utf-8
Content-Language: en-U
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201708-06
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: GPL Ghostscript: Multiple vulnerabilities
Date: August 21, 2017
Bugs: #616814, #617016, #617018, #617020, #617022, #618818
ID: 201708-06

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

Multiple vulnerabilities have been found in GPL Ghostscript, the worst
of which can resulting in the execution of arbitrary code.

Background
==========

Ghostscript is an interpreter for the PostScript language and for PDF.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 app-text/ghostscript-gpl
< 9.21 >= 9.21

Description
===========

Multiple vulnerabilities have been discovered in GPL Ghostscript.
Please review the CVE identifiers referenced below for additional
information.

Impact
======

A context-dependent attacker could entice a user to open a specially
crafted PostScript file or PDF document using GPL Ghostscript possibly
resulting in the execution of arbitrary code with the privileges of the
process or a Denial of Service condition.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All GPL Ghostscript users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose
">=app-text/ghostscript-gpl-9.21"

References
==========

[ 1 ] CVE-2016-10219
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-10219
[ 2 ] CVE-2016-10220
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-10220
[ 3 ] CVE-2017-5951
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-5951
[ 4 ] CVE-2017-6196
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-6196
[ 5 ] CVE-2017-7207
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-7207
[ 6 ] CVE-2017-8291
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-8291

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201708-06

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--IhqrJugI0Gikf1eARrmTQNbC8L4dRIsUp--

--M0iH7696HhD4RfXinqHI6U0HIX6ful88B
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJZmjOLXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/ItcUQAI2FUTaqFz0kXmbz8EmurJaT
CzHHzvQbvEzX2USWK+ORlsx1iRumrfsdtjtWwefUnzw/ZGvvd28eojpFbkeiciKt
A2DBERWoMhArvApoOEVUJ3rTDNsru9+tsU+Uy1phMKEZTf6wK5Nw9LY3VEIzBAou
nJikx8/r6NNk4c9rqfWTyMt/CKrch+8+07x3EJ0uPmtzJaYt+Cxgh2uEW/U4eqnJ
CtPpdjkVmRrPExnPg7vd4/6gU1tcW9bP/gOhA6lA2nYxvvoIGctSvaS9X1alI1hM
5UdxjmTdrJlvWGue1PxLCL+vlhGSnSbc0MTrBbKQPLp0rQ8ruSDYFXG6pB+HTLRM
zKGdZN6lOtMiLTlho5ADonjsIIXb6dV1bnMtQxTi7Fwz/LKIf/1IOi2mePZcE6JJ
tAimXQPs9L6xaFw+BvAUqyOsveeHYH/dbB08CAcv+mol1fhAyVDwBkjPqgD3EgNM
2purv/ZvRX8C+C3V9zR68MON5mXkRomPoC31oHn5LK/Y6Bq3pueGGwXLg8qZlq1e
4iuqWx4K8lRCBnOqiFN5pbbko3ui9WCI1cPrMgW/JkzMP5i26TCycmRSFgVeKC/E
A1qIg9q8YqBfly0yvRCkMW/BGWuH1iBULj0dWUrvcGXZcJvbfgrNsQLfoieu1KSN
SddvZpoii9lkxrFqV2ET
=80nm
-----END PGP SIGNATURE-----

--M0iH7696HhD4RfXinqHI6U0HIX6ful88B--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung